summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-03-09 07:48:06 +0100
committerHans de Graaff <graaff@gentoo.org>2021-03-09 07:48:06 +0100
commite04a561f600189943934b054cdfbc97b051522fb (patch)
treebccb794ff03c84f09d3edfc7572276b570d4e831 /dev-ruby
parentdev-ruby/rexical: add ruby30 (diff)
downloadgentoo-e04a561f600189943934b054cdfbc97b051522fb.tar.gz
gentoo-e04a561f600189943934b054cdfbc97b051522fb.tar.bz2
gentoo-e04a561f600189943934b054cdfbc97b051522fb.zip
dev-ruby/coderay: add ruby30
Package-Manager: Portage-3.0.13, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/coderay/coderay-1.1.3-r1.ebuild3
1 files changed, 2 insertions, 1 deletions
diff --git a/dev-ruby/coderay/coderay-1.1.3-r1.ebuild b/dev-ruby/coderay/coderay-1.1.3-r1.ebuild
index 7d653974d29..3481d92b38b 100644
--- a/dev-ruby/coderay/coderay-1.1.3-r1.ebuild
+++ b/dev-ruby/coderay/coderay-1.1.3-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27"
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
# The test target also contains test:exe but that requires
# shoulda-context which we do not have packaged yet.
@@ -39,6 +39,7 @@ ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
all_ruby_prepare() {
sed -i -e "/[Bb]undler/d" Rakefile || die
sed -i -e '/git ls-files/ s:^:#:' -e 's/.rc.*"/"/' coderay.gemspec || die
+ sed -i -e '/simplecov/ s:^:#:' spec/spec_helper.rb test/*/*.rb || die
# Fix failing tests for lazy evaluation in ruby26
sed -i -e 's/\.filter$/.filter.to_a/' test/unit/filter.rb || die